| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::testing Class Reference
API

the testing class binds criterium to actions More...

`#include <criterium.hpp>`

Inherits libdar::crit_action.

## Public Member Functions
| testing (const criterium &input, const crit_action &go_true, const crit_action &go_false)
| the constructor More...
| testing (const testing &ref)
const testing & | operator= (const testing &ref)
void | get_action (const cat_nomme &first, const cat_nomme &second, over_action_data &data, over_action_ea &ea) const
| the inherited pure virtual method from class action that must be gimplemented
crit_action * | clone () const
| clone construction method More...
Public Member Functions inherited from libdar::crit_action
virtual | ~crit_action ()
| the destructor
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the testing class binds criterium to actions

a testing class is also an action that let the user build complex testing. It is thus possible to recursively use testing inside testing

Definition at line 163 of file criterium.hpp.

## Constructor & Destructor Documentation

libdar::testing::testing | ( | const criterium & | input,
|  | const crit_action & | go_true,
|  | const crit_action & | go_false
| ) |  |

the constructor

Parameters

  [in] | input | is the criterium to base the evaluation on
  [in] | go_true | is the action to use for evaluation if the criterium states true
  [in] | go_false | is the action to use for evaluation if the criterium states false

Referenced by clone().

## Member Function Documentation

crit_action* libdar::testing::clone | ( |  | ) | const
| inline virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the action hierarchy class

Implements libdar::crit_action.

Definition at line 186 of file criterium.hpp.

References libdar::on_pool::get_pool(), and testing().

The documentation for this class was generated from the following file:

- criterium.hpp